from django.db import models
from django.utils.translation import gettext_lazy as _

class LikelihoodChoice(models.Model):
    """
    Likelihood choices for Risks and Controls.
    """
    name = models.CharField(_("Likelihood Name"), max_length=50)
    description = models.TextField(_("Description"), blank=True, null=True)
    value = models.IntegerField(_("Numeric Value"), unique=True, default=1)
    
    def __str__(self):
        return f"{self.value} - {self.name} ({self.description})"